Fix git version script

This commit is contained in:
o9000 2015-04-25 00:07:25 +02:00
parent 0e322b3563
commit 00930b217d
2 changed files with 17 additions and 7 deletions

View file

@ -4,17 +4,27 @@ git update-index -q --ignore-submodules --refresh
# Disallow unstaged changes in the working tree
if ! git diff-files --quiet --ignore-submodules --
then
echo >&2 "Error: there are unstaged changes."
git diff-files --name-status -r --ignore-submodules -- >&2
exit 1
if [ "$1" = "--strict" ]
then
echo >&2 "Error: there are unstaged changes."
git diff-files --name-status -r --ignore-submodules -- >&2
exit 1
else
echo "dirty"
fi
fi
# Disallow uncommitted changes in the index
if ! git diff-index --cached --quiet HEAD --ignore-submodules --
then
echo >&2 "Error: there are uncommitted changes."
git diff-index --cached --name-status -r --ignore-submodules HEAD -- >&2
exit 1
if [ "$1" = "--strict" ]
then
echo >&2 "Error: there are uncommitted changes."
git diff-index --cached --name-status -r --ignore-submodules HEAD -- >&2
exit 1
else
echo "dirty"
fi
fi
git describe --exact-match 2>/dev/null || echo "0.11-git$(git show -s --pretty=format:%cI.%h | tr -d ':' | tr -d '-' | tr '.' '-' | sed 's/T[0-9\+]*//g')"

View file

@ -19,7 +19,7 @@
#
# git checkout master
VERSION=$(./get_version.sh)
VERSION=$(./get_version.sh --strict)
if [ ! $? -eq 0 ]
then
echo >&2 "Error: get_version.sh failed!"